Bug 926763 - Review Request: trac-authopenid-plugin - Provide OpenID authentication for Trac
Summary: Review Request: trac-authopenid-plugin - Provide OpenID authentication for Trac
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 16:34 UTC by Patrick Uiterwijk
Modified: 2013-04-10 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 22:15:14 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2013-03-23 16:34:28 UTC
Spec URL: http://puiterwijk.fedorapeople.org/packages/trac-authopenid-plugin/trac-authopenid-plugin.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/trac-authopenid-plugin/trac-authopenid-plugin-0.4.1-1.fc18.src.rpm
Fedora Account System Username: puiterwijk

Description:
This plugin allows to login to Trac using OpenID.

Comment 2 Patrick Uiterwijk 2013-03-25 17:46:42 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5170391

Comment 3 Kevin Fenzi 2013-03-25 21:32:42 UTC
I'll review this. Look for a full review in a bit...

Comment 4 Kevin Fenzi 2013-03-25 21:54:06 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
2d85cf6aa3c40455846e534d12e18e6e06c628d4876d7758e46f707c336acb46  TracAuthOpenId-0.4.2.tar.gz
2d85cf6aa3c40455846e534d12e18e6e06c628d4876d7758e46f707c336acb46  TracAuthOpenId-0.4.2.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Minor nitpick: 

"This plugin allows to login to Trac using OpenID."
reads oddly, perhaps: 
"This plugin allows users to login to Trac using OpenID."

2. rpmlint says: 
trac-authopenid-plugin.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
trac-authopenid-plugin.src: W: spelling-error %description -l en_US login -> loin, logic, lo gin
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

can be ignored. 

I don't see any blockers here, so this package is APPROVED. 

Happy to co-maintain.

Comment 5 Patrick Uiterwijk 2013-03-25 22:00:33 UTC
New Package SCM Request
=======================
Package Name: trac-authopenid-plugin
Short Description: Provide OpenID authentication for Trac
Owners: puiterwijk
Branches: f19 el6
InitialCC: kevin

Comment 6 Gwyn Ciesla 2013-03-26 12:38:47 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-03-26 13:18:28 UTC
trac-authopenid-plugin-0.4.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-authopenid-plugin-0.4.2-1.el6

Comment 8 Fedora Update System 2013-03-26 16:40:23 UTC
trac-authopenid-plugin-0.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2013-04-10 22:15:16 UTC
trac-authopenid-plugin-0.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.